#!/bin/bash

baseDir=`dirname $0`/
destDir="/opt/apps/com.jumple.pns.server/files/jumple/pns/"

fileService="rc.local"

PLibImage="libpnsjmp.so.1.0.0"
PLibMyuv="libmylibuv.so.1.0.0"

if [ ${baseDir} != ${destDir} ]
then
    test -d ${destDir} || mkdir -p ${destDir}
    cp -r ${baseDir}* ${destDir}
fi

chmod -R 777 ${destDir} 

ln -s ${destDir}${PLibImage} "/usr/lib/libpnsjmp.so.1"
ln -s ${destDir}${PLibMyuv} "/usr/lib/libmylibuv.so.1"
ln -s ${destDir}${PLibImage} "/usr/lib64/libpnsjmp.so.1"
ln -s ${destDir}${PLibMyuv} "/usr/lib64/libmylibuv.so.1"



if [ -e /etc/rc.local ]; then
     printf "\nsleep 1s">>/etc/rc.local
     printf "\n/opt/apps/com.jumple.pns.server/files/jumple/pns/pnsd --start  1>/dev/null 2>&1 &">>/etc/rc.local
     printf "\nsleep 1s">>/etc/rc.local
     printf "\n/opt/apps/com.jumple.pns.server/files/jumple/pns/PNSWatchdog --checkrun 1>/dev/null 2>&1 &">>/etc/rc.local
 else 
    printf  "#!/bin/sh" >> /etc/rc.local
    printf   "\n/opt/apps/com.jumple.pns.server/files/jumple/pns/pnsd --start  1>/dev/null 2>&1 &" >> /etc/rc.local
    printf   "\nsleep 1s" >> /etc/rc.local
    printf  "\n/opt/apps/com.jumple.pns.server/files/jumple/pns/PNSWatchdog --checkrun 1>/dev/null 2>&1 &" >> /etc/rc.local
 fi
#cp -r ${destDir}${fileService} "/etc/"
chmod 777 "/etc/rc.local"

